All images beyond 3.13.0-34-generic don't boot

Bug #1397321 reported by Vlada Macek on 2014-11-28
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

The linux-image-3.13.0-34-generic is the last kernel that (months ago) smoothly booted my Dell Latitude E6530 laptop with LUKS encrypted SSD. Usually it was asking for LUKS passphrase in blue graphical screen of Xubuntu.

All kernels since then just show the usual BIOS "DELL" in circle splash, then 1 minute black screen and then

  BusyBox, ...

  (initramfs) _

I'm not aware of doing anything to cause the problem like changing booting, upgrading ubuntu release etc.

Today I discovered that the current linux-image-3.13.0-40-generic boots in Recovery mode, asking for passphrase in text mode. Then I can resume normal boot in text dialog and almost all is up. But the xrandr does not work as well as monitor switching etc.
Will return to the old -34 kernel.

I asked in the local Linux group and other user reports the same, he didn't resolve the problem as well.

Attaching the apport report.

Thanks for hope.
---
ApportVersion: 2.14.1-0ubuntu3.5
Architecture: i386
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/hwC0D3', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D3p', '/dev/snd/pcmC0D7p', '/dev/snd/pcmC0D8p', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CurrentDmesg:
 Error: command ['sh', '-c', 'dmesg | comm -13 --nocheck-order /var/log/dmesg -'] failed with exit code 1: comm: /var/log/dmesg: Permission denied
 dmesg: write failed: Broken pipe
DistroRelease: Ubuntu 14.04
InstallationDate: Installed on 2012-11-27 (731 days ago)
InstallationMedia: Xubuntu 12.10 "Quantal Quetzal" - Release i386 (20121017.1)
MachineType: Dell Inc. Latitude E6530
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-34-generic root=/dev/mapper/xubuntu-root ro quiet splash
ProcVersionSignature: Ubuntu 3.13.0-34.60-generic 3.13.11.4
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
Tags: trusty
Uname: Linux 3.13.0-34-generic i686
UpgradeStatus: Upgraded to trusty on 2014-06-30 (151 days ago)
UserGroups: audio dip plugdev pulse pulse-access video
WifiSyslog:

_MarkForUpload: True
dmi.bios.date: 06/20/2014
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A15
dmi.board.asset.tag: TUTTLE-LBC
dmi.board.name: 0JC5MT
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.asset.tag: TUTTLE-LBC
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA15:bd06/20/2014:svnDellInc.:pnLatitudeE6530:pvr01:rvnDellInc.:rn0JC5MT:rvrA01:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6530
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

Vlada Macek (macek) wrote :

Apport report attached.

description: updated
Vlada Macek (macek) on 2014-11-28
description: updated

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1397321/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Vlada Macek (macek) on 2014-11-28
affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1397321

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: trusty
tags: added: regression-update

apport information

tags: added: apport-collected
description: updated
Vlada Macek (macek) wrote : CRDA.txt

apport information

apport information

apport information

Vlada Macek (macek) wrote : Lspci.txt

apport information

Vlada Macek (macek) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

tags: added: bios-outdated-a16
Changed in linux (Ubuntu):
importance: Undecided → Low
Vlada Macek (macek) wrote :

Christopher, thank you for your reply. I upgraded the BIOS, now having:

# dmidecode -s bios-version && dmidecode -s bios-release-date
A16
09/24/2014

However it didn't help, the behaviour is still as the Bug Description states:

The latest booting kernel is 3.13.0-34-generic, the newest 3.13.0-40-generic boots only using the Recovery mode, in text.

Changing to Confirmed, hoping I got the second half of your comment correctly.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Vlada Macek, could you please test the latest upstream kernel available from the very top line at the top of the page (the release names are irrelevant for testing, and please do not test the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue.

If the test did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested exactly shown as:
kernel-fixed-upstream-3.18-rc7

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: latest-bios-a16
removed: bios-outdated-a16
Changed in linux (Ubuntu):
importance: Low → Medium
status: Confirmed → Incomplete
Vlada Macek (macek) wrote :

Ok, I gave linux-image-3.18.0-031800rc7-generic_3.18.0-031800rc7.201411302035_i386.deb a shot. And it does not boot, while it behaves differently -- few lines of text is written above the (initramfs) prompt. Attaching the screenshot.

I should note that I use i386 kernel + distribution on my 64-bit machine.

tags: added: kernel-bug-exists-upstream-3.18.0-031800rc7
Changed in linux (Ubuntu):
importance: Medium → High
tags: added: performing-bisect
Vlada Macek (macek) wrote :

Though I'd like to help, nevertheless it is time consuming a bit to test so please let me know whether it would really be beneficial if I test the next kernels (older ones one by one). Thanks.

Vlada Macek, just to clarify, did you only install the linux-image file or did you install all three necessary files are advised in the article?

As well, using a i386 build on an x64 capable machine doesn't preclude you from support. However, as upstream has a development focus on x64, especially if your hardware is capable of it, it would limit the attention your issue will be given.

Joseph Salisbury (jsalisbury) wrote :

I'd like to perform a bisect to figure out what commit caused this regression. We need to identify the earliest kernel where the issue started happening as well as the latest kernel that did not have this issue.

Can you test the following kernels and report back? We are looking for the first kernel version that exhibits this bug:

v3.13.11.5: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13.11.5-trusty/
v3.13.11.6: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13.11.6-trusty/

Based on the description that linux-image-3.13.0-34-generic is the last kernel that boots, v3.13.11.5 should boot ok and v3.13.11.6 should not. If that is the case, we can bisect between those two versions.

Thanks in advance

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: regression-proposed
removed: regression-update
tags: added: kernel-bug-exists-upstream-3.18-rc7 needs-bisect
removed: kernel-bug-exists-upstream-3.18.0-031800rc7
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Vlada Macek (macek) wrote :

Christopher, thanks.
Um, I only installed linux-image, not all the A-marked files in "Installing upstream kernels" section. Is it possible it causes the boot problems?
Will install the three files from now on for bisecting.

I understand what you say about the attention to 32bit.

Joseph, will test both 3.13.11.5 and v3.13.11.6 today.

BTW, as it appears I'm not talking with bots here anymore... ;-) It surprises me a bit that months after the problem appeared, I'm apparently the first reporter feedbacking guided tests. Especially when I got similar report around me (the user changed distro to solve it). Is it the case and is it usual? Thanks.

Vlada Macek:
>"Um, I only installed linux-image, not all the A-marked files in "Installing upstream kernels" section. Is it possible it causes the boot problems?"

All three files are required files (i.e. not optional). Please install all three as previously advised, and then comment to the results.

Vlada Macek (macek) wrote :

It turns out to be problem on my side, though I don't know whether or how I caused it as I'm not aware I was ever digging in booting stuff. This is log of my today's dpkg install|purge actions:

18:32:19 install linux-image-3.18.0-031800rc7-generic:i386 <none> 3.18.0-031800rc7.201411302035

Here I wrote comment #19, that the newest kernel does not boot, but learned I installed only one pkg out of three.

Here I am making some space on a tight /boot partition:

19:34:34 purge linux-image-3.18.0-031800rc7-generic:i386 3.18.0-031800rc7.201411302035 <none>
19:35:34 purge linux-image-3.13.0-36-generic:i386 3.13.0-36.63 <none>
19:35:39 purge linux-image-3.13.0-37-generic:i386 3.13.0-37.64 <none>
19:36:40 purge linux-image-3.13.0-40-generic:i386 3.13.0-40.69 <none>

Fully installing kernels for bisection as Joseph asked + the newest one again:

19:37:32 install linux-image-3.13.11-03131105-generic:i386 <none> 3.13.11-03131105.201407181735
19:37:41 install linux-image-3.13.11-03131106-generic:i386 <none> 3.13.11-03131106.201408131735
19:37:51 install linux-image-3.13.11-03131107-generic:i386 <none> 3.13.11-03131107.201409181736
19:44:14 install linux-image-3.18.0-031800rc7-generic:i386 <none> 3.18.0-031800rc7.201411302035

Discovering not only NONE of them boot (all fall into initramfs prompt), but my fallback kernel 3.13.0-34 (that I didn't touch today) start to run into PANIC, blinking Caps LED, power off-on needed. Took a panic screenshot.

Able to boot in Recovery mode as always, I removed all tested kernels and installed the newest distro one again.

20:09:06 purge linux-image-3.13.11-03131105-generic:i386 3.13.11-03131105.201407181735 <none>
20:09:11 purge linux-image-3.13.11-03131106-generic:i386 3.13.11-03131106.201408131735 <none>
20:09:17 purge linux-image-3.13.11-03131107-generic:i386 3.13.11-03131107.201409181736 <none>
20:09:23 purge linux-image-3.18.0-031800rc7-generic:i386 3.18.0-031800rc7.201411302035 <none>
20:09:23 install linux-image-3.13.0-40-generic:i386 <none> 3.13.0-40.69

This leaves me with the panicking ver. -34 and (initramfs)-ing ver. -40.

Then I started to experiment as I thought possible errors might be hidden from me. So I picked -40 in GRUB screen, chose to edit commands and removed 'quiet' and 'splash' words from line:

linux /vmlinuz-3.13.0-40-generic root=/dev/mapper/xubuntu-root ro quiet splash $vt_handoff

I was quickly asked for the LUKS passphrase in text mode, then the system went up and all appears to work.

I have no idea what caused the problem. Luckily I have at least my system back. Attaching my /boot/grub/grub.cfg just for the record.

Sorry for unintentionally leading the thoughts the wrong way.

Vlada Macek (macek) wrote :

Vlada Macek, if you are reinstalling, it would be best to install the x64 version (not 32-bit) in order to widen the support scope for your issue.

However, just to clarify, were you able to boot into 3.18-rc7 once you install all three files?

Vlada Macek (macek) wrote :

> Vlada Macek, if you are reinstalling, it would be best to install the x64 version
> (not 32-bit) in order to widen the support scope for your issue.

Thank you. I've experienced the x64 can be less compatible, more memory greedy and sometimes slower... that's why I stick with i686. I'll reconsider.

> However, just to clarify, were you able to boot into 3.18-rc7 once you install all three files?

Yesterday it showed the same error as I shot in comment #19 above. But, today I dug into the /etc/default/grub in the way I diff below. I wanted to get rid of "Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported." message as well as I wanted to make the non graphical boot permanent.

Both kernels, 3.18-rc7 and the latest one 3.13.0-40 from distribution now boot smoothly (just the disk passphrase is not requested in the blue xubuntu screen).

I have no idea why the "quiet splash" was preventing me from booting.

@@ -4,11 +4,10 @@
 # info -f grub -n 'Simple configuration'

 GRUB_DEFAULT=0
-GRUB_HIDDEN_TIMEOUT=0
-GRUB_HIDDEN_TIMEOUT_QUIET=true
-GRUB_TIMEOUT=10
+GRUB_TIMEOUT_STYLE=menu
+GRUB_TIMEOUT=5
 GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
-GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
+#GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
 GRUB_CMDLINE_LINUX=""

 # Uncomment to enable BadRAM filtering, modify to suit your needs
@@ -17,7 +16,7 @@ GRUB_CMDLINE_LINUX=""
 #GRUB_BADRAM="0x01234567,0xfefefefe,0x89abcdef,0xefefefef"

 # Uncomment to disable graphical terminal (grub-pc only)
-#GRUB_TERMINAL=console
+GRUB_TERMINAL=console

 # The resolution used on graphical terminal
 # note that you can use only modes which your graphic card supports via VBE

Vlada Macek, to see if this is already fixed in a newer release, could you please boot into the x64 live environment via http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

tags: added: kernel-fixed-upstream-3.18-rc7 needs-reverse-bisect
removed: kernel-bug-exists-upstream-3.18-rc7 needs-bisect
Vlada Macek (macek) wrote :

Confirming that today's http://cdimage.ubuntu.com/daily-live/current/vivid-desktop-amd64.iso boots from USB flashdrive on the Latitude E6530, A16 BIOS without problems.

Additionally, tested devices: ext. mouse/keyb, touchpad incl. vert/horiz multitouch scroll, external monitor @ 2560x1600 through DisplayPort, wifi, ethernet.

Thanks.

Vlada Macek, I'll mark this Triaged for now, so that it's on the Ubuntu Kernel Team's Proposed regression radar.

Changed in linux (Ubuntu):
status: Incomplete → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers